REPOMANAGE(1)

NOM
repomanage – Redirection vers le greffon repomanage de DNF

Gestion d’un dépôt ou d’un simple répertoire de paquets RPM.

SYNOPSIS

dnf repomanage [options_facultatives] [options]

DESCRIPTION

repomanage affiche les paquets récents et anciens d’un dépôt indiqué par chemin pour un tube vers xargs(1) ou d’autres programmes similaires. Dans le cas où chemin n’indique pas un repodata (métadonnées) valable, des paquets RPM sont recherchés qui sont alors utilisés. Si des repodata sont présents, repomanage les utilise comme sources fiables. Il ne vérifie pas s’il existe une correspondance avec les paquets RPM présents. En fait, repomanage peut s’exécuter avec seulement les repodata, aucun paquet RPM n’est nécessaire.

Dans le but de travailler correctement avec les paquets modulaires (faisant partie d’un module), chemin doit contenir un repodata avec des métadonnées de module. Si du contenu de module est présent, repomanage affiche les paquets des versions récentes et anciennes de « stream » (collection de paquets, dépôt virtuel) en plus des paquets récents ou anciens non modulaires.

  Options

Toutes les options générales de DNF sont acceptées ; voir Options dans dnf(8) pour les détails.

Les options suivantes définissent quels paquets sont affichés. Ces options sont mutuellement exclusives, c’est-à-dire qu’une seule peut être indiquée. Si aucune option n’est indiquée, les paquets récents sont affichés.

    --old
        Affichage des paquets anciens (pour un paquet ou un « stream », affichage de toutes les versions sauf les plus récentes).

    --oldonly
        Affichage des paquets anciens (même chose que -old, mais exclusion des paquets récents même s’ils sont inclus dans des versions de « stream » anciennes).

    --new
        Affichage des paquets récents.

Les options suivantes contrôlent comment les paquets sont affichés :

    -s, --space
        Affichage de l’ensemble produit séparé par des espaces plutôt que par des nouvelles lignes.

    -k nombre, --keep nombre
        Limitation de l’ensemble produit à nombre paquets.

EXEMPLES

Affichage des paquets récents dans le dépôt (répertoire) actuel :

            dnf repomanage --new .

Affichage des deux versions les plus récentes de chaque paquet dans le répertoire personnel :

            dnf repomanage --new --keep 2 ~/

Affichage des paquets anciens séparés par des espaces dans le dépôt (répertoire) actuel :

            dnf repomanage --old --space .

AUTEUR
Consulter les AUTEURS dans votre distribution principale de greffons de DNF.

COPYRIGHT
2014, Red Hat, sous licence GPLv2+

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.